
# docker-webtop-jakarta

## Why

This image, based on [docker-webtop](https://gitlab-research.centralesupelec.fr/my-docker-images/docker-webtop), 
provides an environment for developing [Jakarta EE](https://jakarta.ee) applications using 
[Apache Netbeans](https://netbeans.apache.org/front/main/) and [Eclipse GlassFish](https://glassfish.org).

It uses the [Xfce](https://www.xfce.org/) desktop environment.

## Details

- See details on [docker-webtop](https://gitlab-research.centralesupelec.fr/my-docker-images/docker-webtop/-/tree/xfce)
- if docker is installed on your computer, you can run (amd64 architecture only) this 
  image, assuming you are in a specific folder that will be shared with the container at 
  `/config`, with:
  
  `docker run -p 3000:3000 -v "$(pwd):/config"
    gitlab-research.centralesupelec.fr:4567/my-docker-images/docker-webtop-jakarta:xfce`

